Bug 1720332 - Network operator doesn't install kube-proxy
Summary: Network operator doesn't install kube-proxy
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Casey Callendrello
QA Contact: Weibin Liang
URL:
Whiteboard: 4.1.7
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 17:12 UTC by Casey Callendrello
Modified: 2019-07-23 18:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-22 01:42:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Casey Callendrello 2019-06-13 17:12:21 UTC
Description of problem:
The network operator doesn't install kube-proxy for third party network providers. This should happen


Version-Release number of selected component (if applicable):
4.1

Comment 1 Casey Callendrello 2019-06-21 11:16:36 UTC
First, we need the image backport.

https://github.com/openshift/origin/pull/23235

Comment 3 zhaozhanqi 2019-07-18 04:14:10 UTC
hi, Weibin
 Could you help verified this bug, seems it same with https://jira.coreos.com/browse/SDN-247 you ever tested. thanks.

Comment 4 zhaozhanqi 2019-07-19 05:49:11 UTC
hi Casey.

the kube-proxy did not be setup in my testing on 4.1.0-0.nightly-2019-07-18-192922 with steps:

1). setup the cluster with networktype is 'Flannel'
2). the cluster will failed to setup
3). check the kube-proxy is not exist.

 oc project openshift-kube-proxy
error: A project named "openshift-kube-proxy" does not exist on "https://api.zzhao0415x.qe.devcluster.openshift.com:6443".

Comment 5 Casey Callendrello 2019-07-19 16:51:03 UTC
We decided to only build the kube-proxy image for 4.1, but not install it via the operator. So, I don't think there's any QE to do. The operator won't install kube-proxy until 4.2.


Note You need to log in before you can comment on or make changes to this bug.